<!DOCTYPE html>
<html lang='en'>
<head>
<title>compression.scm « gnu - guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/gnu/compression.scm?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='54edc96c4d85c55feb0f64fdc1919c7d26b6e13b'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'>option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=8eefb81b773a400f49d79410656f72ff2bbc1602'>refs</a><a href='/guix/log/gnu/packages/patches/rocm-bandwidth-test-5.5.0-fix-includes.patch'>log</a><a class='active' href='/guix/tree/gnu/packages/patches/rocm-bandwidth-test-5.5.0-fix-includes.patch?id=8eefb81b773a400f49d79410656f72ff2bbc1602'>tree</a><a href='/guix/commit/gnu/packages/patches/rocm-bandwidth-test-5.5.0-fix-includes.patch?id=8eefb81b773a400f49d79410656f72ff2bbc1602'>commit</a><a href='/guix/diff/gnu/packages/patches/rocm-bandwidth-test-5.5.0-fix-includes.patch?id=8eefb81b773a400f49d79410656f72ff2bbc1602'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/patches/rocm-bandwidth-test-5.5.0-fix-includes.patch'>
<input type='hidden' name='id' value='8eefb81b773a400f49d79410656f72ff2bbc1602'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/tree/?id=8eefb81b773a400f49d79410656f72ff2bbc1602'>root</a>/<a href='/guix/tree/gnu?id=8eefb81b773a400f49d79410656f72ff2bbc1602'>gnu</a>/<a href='/guix/tree/gnu/packages?id=8eefb81b773a400f49d79410656f72ff2bbc1602'>packages</a>/<a href='/guix/tree/gnu/packages/patches?id=8eefb81b773a400f49d79410656f72ff2bbc1602'>patches</a>/<a href='/guix/tree/gnu/packages/patches/rocm-bandwidth-test-5.5.0-fix-includes.patch?id=8eefb81b773a400f49d79410656f72ff2bbc1602'>rocm-bandwidth-test-5.5.0-fix-includes.patch</a></div><div class='content'>blob: a5404ad62c2c6ac49bf73e0508dc503aa5120a56 (<a href='/guix/about/gnu/packages/patches/rocm-bandwidth-test-5.5.0-fix-includes.patch?id=8eefb81b773a400f49d79410656f72ff2bbc1602'>about</a>) (<a href='/guix/plain/gnu/packages/patches/rocm-bandwidth-test-5.5.0-fix-includes.patch?id=8eefb81b773a400f49d79410656f72ff2bbc1602'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
<a id='n35' href='#n35'>35</a>
<a id='n36' href='#n36'>36</a>
<a id='n37' href='#n37'>37</a>
<a id='n38' href='#n38'>38</a>
<a id='n39' href='#n39'>39</a>
<a id='n40' href='#n40'>40</a>
<a id='n41' href='#n41'>41</a>
<a id='n42' href='#n42'>42</a>
<a id='n43' href='#n43'>43</a>
<a id='n44' href='#n44'>44</a>
<a id='n45' href='#n45'>45</a>
<a id='n46' href='#n46'>46</a>
<a id='n47' href='#n47'>47</a>
<a id='n48' href='#n48'>48</a>
<a id='n49' href='#n49'>49</a>
<a id='n50' href='#n50'>50</a>
<a id='n51' href='#n51'>51</a>
<a id='n52' href='#n52'>52</a>
<a id='n53' href='#n53'>53</a>
<a id='n54' href='#n54'>54</a>
<a id='n55' href='#n55'>55</a>
<a id='n56' href='#n56'>56</a>
<a id='n57' href='#n57'>57</a>
<a id='n58' href='#n58'>58</a>
<a id='n59' href='#n59'>59</a>
<a id='n60' href='#n60'>60</a>
<a id='n61' href='#n61'>61</a>
<a id='n62' href='#n62'>62</a>
<a id='n63' href='#n63'>63</a>
<a id='n64' href='#n64'>64</a>
<a id='n65' href='#n65'>65</a>
<a id='n66' href='#n66'>66</a>
<a id='n67' href='#n67'>67</a>
<a id='n68' href='#n68'>68</a>
<a id='n69' href='#n69'>69</a>
<a id='n70' href='#n70'>70</a>
<a id='n71' href='#n71'>71</a>
<a id='n72' href='#n72'>72</a>
<a id='n73' href='#n73'>73</a>
<a id='n74' href='#n74'>74</a>
<a id='n75' href='#n75'>75</a>
<a id='n76' href='#n76'>76</a>
<a id='n77' href='#n77'>77</a>
<a id='n78' href='#n78'>78</a>
<a id='n79' href='#n79'>79</a>
</pre></td>
<td class='lines'><pre><code>See &lt;https://github.com/RadeonOpenCompute/rocm_bandwidth_test/pull/90&gt;.

From a58f9fd4cb5d1120b9ce58c912ca87fa14720f73 Mon Sep 17 00:00:00 2001
From: pppig236 &lt;weikaik@umich.edu&gt;
Date: Tue, 2 May 2023 15:19:52 -0400
Subject: [PATCH] fix include for rocm 5.5.0

---
 base_test.hpp           |  8 +-------
 common.hpp              | 11 ++---------
 rocm_bandwidth_test.hpp |  8 +-------
 3 files changed, 4 insertions(+), 23 deletions(-)

diff --git a/base_test.hpp b/base_test.hpp
index 3e79de1..af99a85 100755
--- a/base_test.hpp
+++ b/base_test.hpp
@@ -42,14 +42,8 @@
 
 #ifndef ROC_BANDWIDTH_TEST_BASE_H_
 #define ROC_BANDWIDTH_TEST_BASE_H_
-#if(defined(RBT_HSA_VERSION_FLAT) &amp;&amp; ((RBT_HSA_VERSION_FLAT) &lt; RBT_HSA_VERSION_FILEREORG))
-// Hsa package with out file reorganization
-// This is for backward compatibility and will be deprecated from future release
-#include "hsa.h"
-#else
 // Hsa package with file reorganization
-#include "hsa/hsa.h"
-#endif
+#include &lt;hsa/hsa.h&gt;
 #include &lt;iostream&gt;
 #include &lt;string&gt;
 #include &lt;vector&gt;
diff --git a/common.hpp b/common.hpp
index d2933a0..3c4858f 100755
--- a/common.hpp
+++ b/common.hpp
@@ -48,16 +48,9 @@
 #include &lt;vector&gt;
 #include &lt;cmath&gt;
 #include &lt;stdio.h&gt;
-#if(defined(RBT_HSA_VERSION_FLAT) &amp;&amp; ((RBT_HSA_VERSION_FLAT) &lt; RBT_HSA_VERSION_FILEREORG))
-// Hsa package with out file reorganization
-// This is for backward compatibility and will be deprecated from future release
-#include "hsa.h"
-#include "hsa_ext_amd.h"
-#else
 // Hsa package with file reorganization
-#include "hsa/hsa.h"
-#include "hsa/hsa_ext_amd.h"
-#endif
+#include &lt;hsa/hsa.h&gt;
+#include &lt;hsa/hsa_ext_amd.h&gt;
 
 using namespace std;
 
diff --git a/rocm_bandwidth_test.hpp b/rocm_bandwidth_test.hpp
index f7eb338..b8550a7 100755
--- a/rocm_bandwidth_test.hpp
+++ b/rocm_bandwidth_test.hpp
@@ -43,14 +43,8 @@
 #ifndef __ROC_BANDWIDTH_TEST_H__
 #define __ROC_BANDWIDTH_TEST_H__
 
-#if(defined(RBT_HSA_VERSION_FLAT) &amp;&amp; ((RBT_HSA_VERSION_FLAT) &lt; RBT_HSA_VERSION_FILEREORG))
-// Hsa package with out file reorganization
-// This is for backward compatibility and will be deprecated from future release
-#include "hsa.h"
-#else
 // Hsa package with file reorganization
-#include "hsa/hsa.h"
-#endif
+#include &lt;hsa/hsa.h&gt;
 #include "base_test.hpp"
 #include "common.hpp"
 
-- 
2.40.1

</code></pre></td></tr></table>
</div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>
